com.informix.jdbcx

## Class IfxXASqli

- java.lang.Object
- - com.informix.jdbc.IfxSqli
  - - com.informix.jdbcx.IfxXASqli

All Implemented Interfaces:
  IfxProtocol

    public class IfxXASqli
    extends IfxSqli

The IfxXASqli class extends the basic protocol implementation IfxSqli

### Field Summary

### Fields inherited from class com.informix.jdbc.IfxSqli

`batchRowStatus, conn, INFX_BUFSIZE, INFX_MAX_BIGBUFSIZE, INFX_MAXBUFSIZE, is, os, protoTrace, SGK_rowColumn, SQ_CLOSERecvd, sqliTrace, trace`

### Constructor Summary

Constructors
Constructor and Description
`IfxXASqli(IfxSqliConnect conn_arg)` Constructor for the IfxProtocol

### Method Summary

Methods
`void` `clear()` Clear member values.
`int` `executeXAClose(java.lang.String dbName, int rmid, int flags)`
`int` `executeXACommand(short command, javax.transaction.xa.Xid xid, int rmid, int flags)`
`int` `executeXAOpen(java.lang.String dbName, int rmid, int flags)`
`int` `executeXARecover(int count, int end, int flags)`
`void` `receiveMessage()` receiveMessage Generic message receiving method from the server.

### Methods inherited from class com.informix.jdbc.IfxSqli

`addException, chainWarnings, clearBatch, clearExceptions, clearPutErrRowCount, clearWarnings, decRefCount, dispatchMsg, executeBegin, executeClose, executeCloseDatabase, executeCommand, executeCommit, executeDescribeInput, executeEnv, executeExecute, executeExecute, executeFastPath, executeFastPath, executeFastPath, executeFetchBlob, executeFPDescribe, executeGetDBList, executeOpenDatabase, executePrepare, executeProtocols, executeReadSmBlob, executeReadSmBlob, executeReadSmBlob, executeRelease, executeRelease, executeReleaseSavepoint, executeRollback, executeRollbackSavepoint, executeSavepoint, executeScrollFetch, executeStatementQuery, executeStatementQuery, executeStatementQuery, executeVersion, executeWriteSmBlob, executeWriteSmBlob, executeWriteSmBlob, flip, getaRow, getBigSerialInserted, getColumnInRow, getDBList, getEstimateNumberofRow, getExceptions, getFParam, getFPReturnVector, getMetaData, getNextSGKRow, getNumberOfFetches, getNumberOfRowsProcessed, getNumberOfTuplesReceived, getProtocols, getPutErrRowCount, getSerial8Inserted, getSerialInsert, getServerVersion, getSQLCode, getStatementType, getTupid, getTupleCount, getTupleSize, getWarnings, handlePAMAuthentication, handlePrivateServerExchange, incRefCount, isResultSet, loadColumnData, sendSQBatchEnd, sendSQBatchStart, setIsReleased, toClobStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IfxXASqli

    public IfxXASqli(IfxSqliConnect conn_arg)

Constructor for the IfxProtocol

Parameters:
  `conn_arg` - current connection

### Method Detail

#### clear

    public void clear()

Description copied from class: `IfxSqli`
Clear member values.

Specified by:
  `clear` in interface `IfxProtocol`
Overrides:
  `clear` in class `IfxSqli`

#### receiveMessage

    public void receiveMessage()
                        throws java.sql.SQLException

receiveMessage Generic message receiving method from the server. add checking for an XA error before calling the base class method

Overrides:
  `receiveMessage` in class `IfxSqli`
Throws:
  `java.sql.SQLException`

#### executeXAOpen

    public int executeXAOpen(java.lang.String dbName,
                    int rmid,
                    int flags)
                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### executeXACommand

    public int executeXACommand(short command,
                       javax.transaction.xa.Xid xid,
                       int rmid,
                       int flags)
                         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### executeXAClose

    public int executeXAClose(java.lang.String dbName,
                     int rmid,
                     int flags)
                       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### executeXARecover

    public int executeXARecover(int count,
                       int end,
                       int flags)
                         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`